Subject: bug#38226: guix pull: error: build failed: [...] ice-9/boot-9.scm:109:20: Syntax error:

From: Kai Mertens <[email-masked]>
Date: Sat, 16 Nov 2019 03:26:58 +0100

Dear Guix Developers,

unfortunately, I do not manage to update my outdated GNU Guix version
via

  “sudo -i guix pull -c0”.

The command fails with the listed message after being executed for
about 16hours. I tried it three times, on different days. The most
recent one was yesterday.

In difference to a recently posted failure, this time...
* my /tmp partition has enough space available (>12GB)
* and guix is substituting from https://ci.guix.gnu.org

I would very much apreciate if you find the time to investigate this
bug. I hope it is one, as I don't want to spoil the mailing list with
just personal obstacles in respect to guix usage.

What kind of information shall I provide, else?

The command “sudo -i guix --version” gives me:
  guix (GNU Guix) 20170703.13

I would have tried to update guix in smaller steps, but option
  “pull --commit”
is not available.

~~~

[...]
grafting '/gnu/store/nk1w9h9998w5vyj6zw3h37idmm8c7xsd-guile-2.0.14-debug' -> '/gnu/store/1xbphq9bpylnv46y1dmax5866nbvxyjm-guile-2.0.14-debug'...
grafting '/gnu/store/brn8kcdv4xyjn445540zmpvawyzb4c38-guile-2.0.14' -> '/gnu/store/prq1xm7fp9dzp7whw8742djw4vsrsd4f-guile-2.0.14'...
ice-9/boot-9.scm:109:20: In procedure #<procedure 863fca0 at ice-9/boot-9.scm:100:6 (thrown-k . args)>:
ice-9/boot-9.scm:109:20: Syntax error:
unknown location: unexpected syntax in form current-imported-modules
builder for `/gnu/store/qrsd2qvaj52fqsywdwlcrh6366gasiff-module-import-compiled.drv' failed with exit code 1
cannot build derivation `/gnu/store/agyip2r3ars2yxjxnm3s3jlh4q5fjcpk-compute-guix-derivation.drv': 1 dependencies couldn't be built
guix pull: error: build failed: build of `/gnu/store/agyip2r3ars2yxjxnm3s3jlh4q5fjcpk-compute-guix-derivation.drv' failed

~~~

best regards
Kai

-- 
Kai Mertens <[email-masked]>
OpenPGP Key-ID: 0x40B15AB4B05B5BF1 on keys.gnupg.net
Key fingerprint = 7C83 0A80 01FF 679C 6E8E  AFD3 40B1 5AB4 B05B 5BF1
What is that? Please check: https://emailselfdefense.fsf.org/en/